Help installing vintage Promise RAID controller utility

geno11x11

New Member
Credits
112
Promise RAID controller:
SuperTrak EX8350


I recently upgraded my OS from OpenSuse 11.4 to 15.2. Getting the old familiar software and utilities installed has been relatively pain-free. However, I have run into a stumbling block installing WebPam. This software monitors the RAID controller and allows for configuring and managing drives and logical RAID sets using a browser.

I downloaded the latest version of the driver from the Promise website. The notation indicates it was released in 2007 for SUSE 10.2. This utility installed and worked perfectly on OpenSuse 11.4.

This is the terminal interaction during install:

Code:
sh WebPAM_2_2_0_66_lin.bin

Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...
strings: '/lib/libc.so.6': No such file

Launching installer...

WebPAM_2_2_0_66_lin.bin: line 2479: /tmp/install.dir.12465/Linux/resource/jre/bin/java: No such file or directory

It appears that libc.so.6 is a requirement, and it is not installed on my system. I found a repository with that library and attempted to install it. YAST reported a conflict and that 741 packages would have to be "disinstalled" in order to add the library. I cancelled the install and began searching online for a solution.

I have found no solution, so the next inquiry is at this forum. Anyone run into this issue? Any suggestions on how I should proceed?

Thanks,

Geno
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Staff online


Latest posts

Top